#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KF/KDE Stack.
#

%define rel 1

Summary:        A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system
Name:           kactivities-stats
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Activities) >= %version

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Sql)

BuildRequires:  boost-devel

%description
A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system

#--------------------------------------------------------------------

%define kf5activitiesstats_major 5
%define libkf5activitiesstats %mklibname kf5activitiesstats %{kf5activitiesstats_major}

%package -n %libkf5activitiesstats
Summary:      A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system
Group:        System/Libraries

Obsoletes:    %{_lib}kf5activitiesexperimentalstats0 < 5.23.0
Provides:     %{_lib}kf5activitiesexperimentalstats0 = %version-%release

%description -n %libkf5activitiesstats
A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system

%files -n %libkf5activitiesstats 
%_kf5_libdir/libKF5ActivitiesStats.so.%{kf5activitiesstats_major}*
%_kf5_libdir/libKF5ActivitiesStats.so.1

#--------------------------------------------------------------------

%define kf5activitiesstats_devel %mklibname kf5activitiesstats -d

%package -n %kf5activitiesstats_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5activitiesstats = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5activitiesstats_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5activitiesstats_devel
%_kf5_includedir/KActivitiesStats
%_kf5_includedir/kactivitiesstats_version.h
%_kf5_libdir/cmake/KF5ActivitiesStats
%_kf5_libdir/libKF5ActivitiesStats.so
%_kf5_libdir/pkgconfig/libKActivitiesStats.pc
%_kf5_libdir/qt5/mkspecs/modules/qt_KActivitiesStats.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088943
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074514
- New version 5.29.0

* Mon Dec 05 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072549
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058334
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050511
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045089
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041311
- New version 5.24.0

* Fri Jul 08 2016 neoclust <neoclust> 5.23.0-2.mga6
+ Revision: 1039795
- Obsoletes kf5activitiesexperimentalstats

* Fri Jul 08 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1039761
- imported package kactivities-stats

